#
# spec file for package suse-hpc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        SUSE HPC Environment
License:        BSD-3-Clause
Group:          Productivity/Clustering/Computing
Name:           suse-hpc
Version:        0.1
Release:        2.1
Source0:        macros.hpc
Source1:        dlinfo.c
Source2:        hpc_elf.pl
Source3:        hpc_elf.attr
Source4:        hpc_elflib.attr
Source5:        LICENSE
Url:            http://www.suse.com/hpc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Provide rpm macros for building and installing SUSE HPC
packages.

%prep
cp %{S:1} .

%build
gcc -o dlinfo dlinfo.c -ldl

%install
mkdir -p  %{buildroot}%{_sysconfdir}/rpm
install -m 644 %{S:0} %{buildroot}%{_sysconfdir}/rpm
mkdir -p  %{buildroot}%{_rpmconfigdir}/fileattrs
install -m 755 %{S:2} dlinfo %{buildroot}%{_rpmconfigdir}
install -m 644 %{S:3} %{S:4} %{buildroot}%{_rpmconfigdir}/fileattrs
cp %{S:5} .

%files
%defattr(-,root,root,-)
%doc LICENSE
%config %{_sysconfdir}/rpm/macros.hpc
%{_rpmconfigdir}/dlinfo
%{_rpmconfigdir}/hpc_elf.pl
%{_rpmconfigdir}/fileattrs/*

%changelog
* Wed Oct  4 2017 eich@suse.com
- Add more documentation.
- Fix LICENSE and copyright statement in LICENSE.
* Thu Sep 21 2017 nmoreychaisemartin@suse.com
- Add %%{?hpc_ext} to install path to allow multiple flavor installs
* Wed Sep 13 2017 eich@suse.com
- Add a dependency generator wrapper for binaries and libraries
  to avoid adding standard dependencies for HPC libraries.
* Tue Sep 12 2017 eich@suse.com
- Removed unneeded BuildRequires:
* Wed May  3 2017 eich@suse.com
- Initial version.
